using System;

namespace IFOInfo
{
	/// <summary>
	/// Summary description for IIGlobal.
	/// </summary>
	public class IIGlobal
	{
		public IIGlobal()
		{
			//
			// TODO: Add constructor logic here
			//
		}

        public static int ToInt(Object ob)
        {
            try
            {
                return Convert.ToInt32(ob);
            }
            catch(Exception)
            {
                return 0;
            }
        }

        public static double ToDouble(Object ob)
        {
            try
            {
                return Convert.ToDouble(ob);
            }
            catch(Exception)
            {
                return 0.0;
            }
        }

        public static string GetVersion()
        {
            return System.Diagnostics.Process.GetCurrentProcess().MainModule.FileVersionInfo.ProductVersion;
        }
	}
}
